body {
    font-family: "Roboto", "Kanit", sans-serif;
}

.navbar-expand-lg .navbar-brand img {
    height: 65px;
}

.container-fluid {
    padding-left: var(--x-gutter-x, 1rem);
    padding-right: var(--x-gutter-x, 1rem);
}

.card-body {
    padding: 1.25rem;
}

.table thead th {
    padding-bottom: 0.7rem;
    padding-top: 0.7rem;
    text-transform: capitalize;
    font-weight: bold;
    font-size: 0.8rem;
}

.form-control {
    font-size: 0.85rem !important;
}

.form-floating {
    font-weight: bold;
    color: #eb1a2b;
}

.form-label {
    margin: 8px 0px 0px 0px;
    color: #eb1a2b;
}

.form-select.is-valid:not([multiple]):not([size]) {
    background-position: right 1.25rem center, center right 2.35rem;
}

.form-switch > .form-check-input {
    height: 1.2rem;
    width: 2.1rem;
}

.card.maximized-card {
    height: 100% !important;
    left: 0;
    max-height: 100% !important;
    max-width: 100% !important;
    position: fixed;
    top: 0;
    width: 100% !important;
    z-index: 1040;
}

.card.maximized-card.was-collapsed .card-body {
    display: block !important;
}

.card.maximized-card .card-body {
    overflow: auto;
}

.card.maximized-card [data-card-widgett="collapse"] {
    display: none;
}

.card.maximized-card .card-header,
.card.maximized-card .card-footer {
    border-radius: 0 !important;
}

.card.collapsed-card .card-body,
.card.collapsed-card .card-footer {
    display: none;
}

ul.timeline {
    list-style-type: none;
    position: relative;
}

ul.timeline:before {
    content: " ";
    background: #d4d9df;
    display: inline-block;
    position: absolute;
    left: 29px;
    width: 2px;
    height: 100%;
    z-index: 400;
}

ul.timeline > li {
    margin: 10px 0;
    padding-left: 20px;
}

ul.timeline > li:before {
    content: " ";
    background: white;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #1bcc89;
    left: 20px;
    width: 20px;
    height: 20px;
    z-index: 400;
}

.nav-tabs .nav-link {
    padding: 1rem 0;
}

.no-sort {
    cursor: default;
}

.popover-header {
    padding: 0.6rem;
    font-size: 0.85rem;
    font-weight: bold;
    color: #767676;
    background-color: #f0f0f0e4;
}

.popover-body {
    padding: 0.6rem;
    font-size: small;
    /* margin-top: 1px; */
}

.modal-body {
    padding: 0.75rem 1.5rem;
}

.dropdown-header {
    /* color: #6b7b93; */
    /* display: block; */
    font-size: 0.82rem;
    /* margin-bottom: 0; */
    padding: 0.05rem 1rem;
    /* white-space: nowrap; */
    font-weight: bold;
}

.table-sm > :not(caption) > * > * {
    padding: 0.45rem;
}

.modal-title {
    line-height: initial;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: aliceblue;
    color: green;
    font-size: small;
    /* font-style: italic; */
}

.dropdown-item,
.dropdown-item {
    color: rgb(233, 37, 37);
    font-size: small;
}

body,
.scrollbar,
.dataTables_scrollBody,
.navbar-vertical,
.overflow-y-auto,
.overflow-y-lg-auto,
.offcanvas-body {
    scrollbar-width: thin !important;
    scrollbar-color: lightgray white;
}

input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    height: 16px;
    width: 16px;
    margin-left: 0.4em;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23777'><path d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/></svg>");
    cursor: pointer;
}

.btn-group-xs > .btn,
.btn-xs {
    border-radius: 0.375rem;
    font-size: 0.7rem;
    padding: 0.2rem 0.3rem;
    font-weight: bolder;
}
